Subject: Ticket Assigned - REFUND UPDATE ORDER NUMBER 9574084811 (HIGH IMPORTANCE)
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Mon, 01 Aug 2022 16:39:22 +0000

Hi Mohammad Tawfik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  REFUND UPDATE ORDER NUMBER 9574084811 (HIGH IMPORTANCE) HI,

I am writing this email to follow up for my order refund 9574084811. I am
living in abu dhabi mistakenly I placed order to dubai i called centrepoint
hepline on same time to cancel my order and refund my money to my account.
AS THEY TOLD ME YOU NEED TO WAIT FOR 15 days to return to our store then we
can refund only. I placed this order on JUNE 14,2022. Later I received
email from centrepoint that you order successfully delivered!!!! Which I
didnt pickup i called helpline again the lady tolf me SYSTEM ERROR WE WILL
UPDATE YOU 24 HOURS. she didn’t update me at all. Today i called again for
following up for my refund same they telling me to wait 24 to 48 hours. CAN
YOU PLEASE UPDATE ME WHEN I CAN ACTUALLY RECEIVE MY REFUND????????

This is really disappointing service from your side…….!

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4664904